Subject: Re: [PATCH v2] add the driver for Analog Devices Blackfin on-chip CAN controllers

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 09 Dec 2009 20:50:47 +0100

Barry Song wrote:
> On Wed, Dec 9, 2009 at 6:16 PM, Wolfgang Grandegger <[email-masked]> wrote:
>> Barry Song wrote:
>>> Signed-off-by: Barry Song <[email-masked]>
>>> Signed-off-by: H.J. Oertel <[email-masked]>
>>> ---
>>>       -v2: cleanup according to Wolfgang Grandegger's feedback
>>>       1.delete some unnecessary debug print
>>>       2.delete ndo_tx_timeout entry as it is not needed in can
>>>       3.use alloc_can_skb, alloc_can_err_skb instead of netdev_alloc_skb
>>>       4.add timeout while polling can status
>>>       5.rename BFIN_CAN_READ/WRITE_MSG to bfin_can_read/write_data
>>>       6.use kernel BIT instead of bit shift
>>>       7.use void __iomem * for CAN memory base memory instead of u32
>>>       8.delete "dev->last_rx = jiffies" since it is not needed now
>>>       9.delete redundant "echo_skb" member in bfin can private data
>>>       10.follow can convention to use "_" instead of "-" for file names
>> Did you consider using structs instead of these ugly and cumbersome
>> macro functions? This was my major criticisms with your previous version
>> of the patch.
> Wolfgang,
> I considered using the structures to describe registers, and I
> completely agree with you about the advantages of structures. And I am
> sure I will move to structures after some time and send a patch for
> it. But for the moment, it is not too urgent, so I only fixed all your
> other comments. Anyway, if you insist on using structures in just this
> patch, I can fix and send the -v3 patch after finishing it.

Well, "it's not too urgent" is not a real argument for me, sorry. As
Marc pointed out, the current "#define's" are not acceptable, anyway.
Please invest time in moving to structs right a way.

Thanks,

Wolfgang.